   function qxmat =  qxfunct(type2, ZS, thres, ti, ttau),
   
   %  output qxmat is a matrix legth(ti)=length(ZS) rows 
   %   and lengrth(ttau) + length (thres) columns 
   %  entries are either 0 or 1 whether regimes intersect or not
   %  m is the number of obs. discarded at the beginning of the series
   %  type2 is a 2-entries row vector that says the model for state and time
%             1 = SETAR : 2 = PLTAR : 3 = STAR
    
  n = size(ZS, 1); % this should be  n.obs. - max(p, d) from the calling routine 
   nr  = size(thres, 2)-1;   % number of regimes in the levels 
  n = size(ti, 1); % this should be  n.obs. - max(p, d) from the calling routine 
   nt  = size(ttau, 2)-1;   % number of regimes in time 

   tye1= type2(1);  qhvec1 =  qhfunct(tye1, ZS, thres); % varying in levels
   tye2= type2(2);  qhvec2 =  qhfunct(tye2, ti, ttau); % varying in time
   
    yp = 0;
   for ii= 1:nr, for jj= 1:nt,
      yp = yp +1;
   qxmat(:, yp)=qhvec1(:, ii).*qhvec2(:, jj); % all possible nr*nt intersection 
   end, end,
  
    
     %   qxfunct [finish]











